Package org.springframework.web.servlet.view.script

# Class RenderingContext

java.lang.Object
org.springframework.web.servlet.view.script.RenderingContext

public class RenderingContext extends Object
Context passed to `ScriptTemplateView` render function in order to make the application context, the locale, the template loader and the url available on scripting side.

Since:
  5.0
Author:
  Sebastien Deleuze

## Constructor Summary

Constructors
Constructor
Description
`RenderingContext(org.springframework.context.ApplicationContext applicationContext, Locale locale, Function<String,String> templateLoader, String url)`
Create a new `RenderingContext`.

## Method Summary

Modifier and Type
Method
Description
`org.springframework.context.ApplicationContext`
`getApplicationContext()`
Return the application context.
`Locale`
`getLocale()`
Return the locale of the rendered template.
`Function<String,String>`
`getTemplateLoader()`
Return a function that takes a template path as input and returns the template content as a String.
`String`
`getUrl()`
Return the URL of the rendered template.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RenderingContext

public RenderingContext(org.springframework.context.ApplicationContext applicationContext, Locale locale, Function<String,String> templateLoader, String url)
Create a new `RenderingContext`.

Parameters:
  `applicationContext` - the application context
  `locale` - the locale of the rendered template
  `templateLoader` - a function that takes a template path as input and returns the template content as a String
  `url` - the URL of the rendered template

## Method Details

### getApplicationContext

public org.springframework.context.ApplicationContext getApplicationContext()
Return the application context.

### getLocale

public Locale getLocale()
Return the locale of the rendered template.

### getTemplateLoader

public Function<String,String> getTemplateLoader()
Return a function that takes a template path as input and returns the template content as a String.

### getUrl

public String getUrl()
Return the URL of the rendered template.